# Nemo modelfactors

This project is intended to compute important performance metrics for a NEMO run.

The statistic produced is focusing on the timestep loop, so these numbers are not related to the initialization and finalization parts.

# Installation and requeriments

This script relies on the following tools:
 
* *Extrae (4.0.0 or above)* 
* *Paraver*
* *Dimemas (latest has a bug use 5.4.2-devel instead)* 
* *Basicanalysis* 

*They can be downloaded at https://tools.bsc.es/downloads* and need to be installed, loaded and available through the PATH environment variable.

Here the list of the modules that need to be loaded before the script execution.

* Perl interpreter
* Fortran compiler (ifort, gfortran, pgfortran, ftn, …),
* Message Passing Interface (MPI) implementation (e.g. OpenMPI or MPICH).
* Network Common Data Form (NetCDF) library with its underlying Hierarchical Data Form (HDF)


# Usage

* Copy all the content of this folder into the folder with the input data for NEMO
* Edit the file perf_metrics.config and replace the parameters values with the suited information.
* Execute perf_metrics.bash
```
./perf_metrics.bash
```
* If the script executes without problems the data will be ready in the Metrics folder.
